Skip to content

DocsAPI referenceWebhooks

Create the webhook endpoint

Every job of the account sends its end here while the endpoint is enabled. An account has one endpoint.

POST /v1/webhook-endpoints

Needs an API key: Authorization: Bearer $VIDEXO_API_KEY.

Body CreateWebhookEndpointRequest

Body fields
NameTypeDescription
url requiredstring, URL, up to 2,048 charactersA public https URL on the default port.
enabled booleanDefault true.

Request

bash
curl -X POST "$VIDEXO_API_URL/v1/webhook-endpoints" \
  -H "Authorization: Bearer $VIDEXO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "url": "https://example.com/hooks/videxo"
}'

Response

201 JSON
{
  "id": "we_4n8c2kq0x7m1v5z3b9r6t0wa",
  "url": "https://example.com/hooks/videxo",
  "enabled": true,
  "created_at": "2026-11-04T09:00:00.000Z",
  "updated_at": "2026-11-04T09:00:00.000Z"
}

Responses

Responses
StatusBodyWhen
201WebhookEndpointThe endpoint.
400Probleminvalid_request
401Problemauthentication_failed (missing_api_key, invalid_api_key, api_key_revoked, api_key_expired)
403Problempermission_denied (token_scope): a client token cannot call this route
409Problemconflict (webhook_endpoint_exists)
429Problemrate_limited, with Retry-After in seconds